org.glassfish.jersey.process

## Class JerseyProcessingUncaughtExceptionHandler

- java.lang.Object
- - org.glassfish.jersey.process.JerseyProcessingUncaughtExceptionHandler

All Implemented Interfaces:
  Thread.UncaughtExceptionHandler

    public class JerseyProcessingUncaughtExceptionHandler
    extends Object
    implements Thread.UncaughtExceptionHandler

Uncaught exception handler that can be used by various Jersey request processing thread pools uncaught exceptions.

Since:
  2.17
Author:
  Marek Potociar

### Constructor Summary

Constructors
Constructor and Description
`JerseyProcessingUncaughtExceptionHandler()` Create new Jersey processing uncaught exception handler.
`JerseyProcessingUncaughtExceptionHandler(Level logLevel)` Create new Jersey processing uncaught exception handler.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `uncaughtException(Thread t, Throwable e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JerseyProcessingUncaughtExceptionHandler

    public JerseyProcessingUncaughtExceptionHandler()

Create new Jersey processing uncaught exception handler.

All uncaught exceptions will be logged using the `WARNING` logging level.

#### JerseyProcessingUncaughtExceptionHandler

    public JerseyProcessingUncaughtExceptionHandler(Level logLevel)

Create new Jersey processing uncaught exception handler.

All uncaught exceptions will be logged using the supplied logging level.

Parameters:
  `logLevel` - custom logging level that should be used to log uncaught exceptions.

### Method Detail

#### uncaughtException

    public void uncaughtException(Thread t,
                                  Throwable e)

Specified by:
  `uncaughtException` in interface `Thread.UncaughtExceptionHandler`